package com.dhcc.finance.main.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.constant.MsConfigConsts;
import com.dhcc.finance.main.model.CwHsOutcwZqxxWeb;
import com.dhcc.finance.main.service.CwHsOutcwZqxxService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value = MsConfigConsts.MS_API_PREFIX + CwHsOutcwZqxxController.API_PREFIX, produces = {
		MediaType.APPLICATION_JSON_UTF8_VALUE }, consumes = { MediaType.APPLICATION_JSON_UTF8_VALUE })
@Api(value = "恒生证券代码controller", tags = { "恒生证券代码操作接口" })
public class CwHsOutcwZqxxController {
	
    public static final String API_PREFIX = "/cw_hs_outcw_zqxx";
	
	@Autowired
	CwHsOutcwZqxxService cwHsOutcwZqxxService;
	/**
	 * 功能描述
	 *@return RestfulResponse<List<CwHsOutcwZqxx>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年12月5日 下午7:45:40
	 *修改日志:
	 */
	@ApiOperation(value = "查询证券代码", notes = "查询证券代码", produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	@RequestMapping(value = { "/searchCwHsOutcwZqxx" }, method = RequestMethod.GET, consumes = MediaType.ALL_VALUE)
	public RestfulResponse<List<CwHsOutcwZqxxWeb>, CurrencyMeta> searchCwHsOutcwZqxx(){
		return cwHsOutcwZqxxService.searchCwHsOutcwZqxx();
	}
}
