package com.dhcc.finance.main.domain;

import java.util.Date;

import com.dhcc.common.util.ExcelColumn;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdVouchtemp",description = "凭证模板配置表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdVouchtemp {
    @ApiModelProperty(value = "凭证模板主键", required = true, example = "")
    @ExcelColumn(value="凭证模板主键",col=1)
    private String pkVouchtemp;

    @ApiModelProperty(value = "科目方案主键", required = false, example = "")
    @ExcelColumn(value="科目方案主键",col=2)
    private String pkSubjscheme;

    @ApiModelProperty(value = "凭证模板编码", required = false, example = "")
    @ExcelColumn(value="凭证模板编码",col=3)
    private String code;

    @ApiModelProperty(value = "凭证模板名称", required = false, example = "")
    @ExcelColumn(value="凭证模板名称",col=4)
    private String name;

    @ApiModelProperty(value = "摘要", required = false, example = "")
    private String abstracts;
    
    @ApiModelProperty(value = "凭证类型", required = false, example = "")
    @ExcelColumn(value="凭证类型",col=5)
    private String pkVouchertype;

    @ApiModelProperty(value = "单据类型", required = false, example = "")
    @ExcelColumn(value="单据类型",col=6)
    private String pkBilltype;

    @ApiModelProperty(value = "来源系统", required = false, example = "")
    @ExcelColumn(value="来源系统",col=7)
    private String srcsystem;

    @ApiModelProperty(value = "允许修改", required = false, example = "")
    @ExcelColumn(value="允许修改",col=8)
    private String ismodify;

    @ApiModelProperty(value = "是否手凭模板", required = false, example = "")
    private String ismanual;

    @ApiModelProperty(value = "制单日期", required = false, example = "")
    @ExcelColumn(value="制单日期",col=9)
    private String preparedate;

    @ApiModelProperty(value = "制单人", required = false, example = "")
    @ExcelColumn(value="制单人",col=10)
    private String pkPrepared;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    @ExcelColumn(value="使用状态",col=11)
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    @ExcelColumn(value="录入人员",col=12)
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @ExcelColumn(value="录入时间",col=13)
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    @ExcelColumn(value="最后修改人员",col=14)
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @ExcelColumn(value="最后修改时间",col=15)
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    @ExcelColumn(value="备注",col=16)
    private String remark;
    }