package com.dhcc.finance.main.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwGlTransfervouch",description = "结转凭证明细表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransfervouch {
	@ApiModelProperty(value = "主键", required = true, example = "")
    private String pkTransfervouch;

    /**
     * 账套结转主键
     */
    @ApiModelProperty(value = "账套结转主键", required = false, example = "")
    private String pkTransferExec;

    /**
     * 结转方案主键
     */
    @ApiModelProperty(value = "结转方案主键", required = false, example = "")
    private String pkTransfer;

    /**
     * 凭证主键
     */
    @ApiModelProperty(value = "凭证主键", required = false, example = "")
    private String pkVoucher;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}