package com.dhcc.finance.main.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 功能描述：
 *
 * @author jiangyoushun
 * @date 2020/7/11  14:00
 * @修改日志：
 */
@ApiModel(value = "CwGlReportInfo", description = "报表数据")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CwGlReportInfo {

    @ApiModelProperty(value = "期末余额", required = true, example = "")
    private BigDecimal QMBalance;

    @ApiModelProperty(value = "年初余额", required = true, example = "")
    private BigDecimal NCBalance;

    @ApiModelProperty(value = "科目名称", required = true, example = "")
    private String itemName;

    @ApiModelProperty(value = "科目编码", required = true, example = "")
    private String itemCode;

    @ApiModelProperty(value = "账套主键", required = true, example = "")
    private String pkGlorbook;

    @ApiModelProperty(value = "报表类型", required = true, example = "")
    private String reportType;

    @ApiModelProperty(value = "生成日期", required = true, example = "")
    private String reportDate;

    @ApiModelProperty(value = "账套名称", required = true, example = "")
    private String name;

    @ApiModelProperty(value = "使用状态", required = true, example = "")
    private String useState;

    @ApiModelProperty(value = "修改人", required = true, example = "")
    private String updateUser;

    @JsonFormat(pattern = "YYYY-MM-dd hh-mm-ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间", required = true, example = "")
    private Date updateTime;

    @ApiModelProperty(value = "项目成立日", required = true, example = "")
    private String xmclr;

    @ApiModelProperty(value = "项目终止日", required = true, example = "")
    private String xmzzr;
}
