/**
 * 
 */
package com.dhcc.finance.main.model;

import java.util.Date;

import com.dhcc.finance.main.domain.CwGlTransfer;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransferAndSubjectName {
	/**
     * 结转方案主键
     */
    @ApiModelProperty(value = "结转方案主键", required = true, example = "")
    private String pkTransfer;

    /**
     * 科目版本主键
     */
    @ApiModelProperty(value = "科目版本主键", required = false, example = "")
    private String pkSubjscheme;
    /**
     * 科目版本名称
     */
    @ApiModelProperty(value = "科目版本名称", required = false, example = "")
    private String subjectname;

    /**
     * 结转方案编码
     */
    @ApiModelProperty(value = "结转方案编码", required = true, example = "")
    private String code;

    /**
     * 结转方案名称
     */
    @ApiModelProperty(value = "结转方案名称", required = false, example = "")
    private String name;

    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态", required = false, example = "")
    private String enablestate;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}
