package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdParametric;
import com.github.pagehelper.PageInfo;

public interface CwBdParametricService {
	/**
	 * 功能描述 获取全部参数信息配置
	 * @param code
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwBdParametric>,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年6月13日 下午2:37:11
	 * 修改日志
	 */
	RestfulResponse<PageInfo<CwBdParametric>, CurrencyMeta> searchCwBdParametricAllData(String code, int pageNum,
			int pageSize, int navigatePages);
	/**
	 * 功能描述   逻辑删除参数配置
	 * @param pkParametric
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年6月13日 下午2:49:02
	 * 修改日志
	 */
	RestfulResponse<Object, CurrencyMeta> deleteCwBdParametricBypk(String pkParametric);
	/**
	 * 功能描述  新增财务参数化配置
	 * @param cwBdParametric
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年6月13日 下午2:57:15
	 * 修改日志
	 */
	RestfulResponse<Object, CurrencyMeta> addCwBdParametric(CwBdParametric cwBdParametric);
	/**
	 * 功能描述  修改财务参数配置
	 * @param cwBdParametric
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年6月13日 下午3:10:30
	 * 修改日志
	 */
	RestfulResponse<Object, CurrencyMeta> updateCwBdParametric(CwBdParametric cwBdParametric);
	/**
	 * 功能描述 获取全部参数信息配置
	 * @return RestfulResponse<List<CwBdParametric>,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年6月13日 下午2:37:11
	 * 修改日志
	 */
	RestfulResponse<List<CwBdParametric>, CurrencyMeta> searchCwBdParametricAll();
}
